/**
* User Bookmarks
*
* @since 1.0.1
* @return null
*/

function wwcqTip() {
  jQuery('.redq-wwc-add-bookmarks').qtip({
    // Grab some elements to apply the tooltip to
    style: {
      classes: 'qtip-tipsy'
    },
    content: {
      text: jQuery(this).attr('title')
    },
    position: {
      my: 'top center',
      at: 'bottom center'
    }
  });
}

// wwcqTip();

jQuery('body .redq-wwc-add-bookmarks').live('click', function( event ) {
  event.preventDefault();
  var self = this;
  var heart = jQuery(this);
  if (!BOOKMARKS.isLogin) {
    jQuery.magnificPopup.open({
      items: {
        src: '<div class="white-popup"><h2>'+BOOKMARKS.LANG.OOPS+'</h2><p>'+BOOKMARKS.LANG.PLEASE_LOG_IN_BOOKMARKS+'</p></div>',
        type: 'inline'
      },
    });

    return false;
  }
  var bookmarked = jQuery(self).data('bookmarked');
  var post_id = jQuery(self).data('post_id');
  var postType = jQuery(self).data('posttype');
  heart.html('<i class="fa fa-circle-o-notch fa-spin"></i>');

  if(bookmarked == true) {
    jQuery.ajax({
      type: "post",
      url: BOOKMARKS.ajaxurl,
      data: 'action=add_to_bookmarks&nonce=' + BOOKMARKS.nonce + '&add_to_bookmarks&post_id=' + post_id + '&add_to_bookmarks&postType=' + postType,
      success: function(  ) {
        swal({
          type: 'success',
          customClass: 'redq-swal',
          title: 'Successfully Removed From The Bookmark!',
        });
        heart.html('<i class="redq-wwc-icon-not-bookmarks '+BOOKMARK_ICON.iconAlt+'"></i>');
        heart.data('bookmarked', false);
      }
    });
  } else {
    jQuery.magnificPopup.open({
      items: {
        src: '<div class="white-popup"><h2>Add To Bookmark</h2><p><label>Enter Your Description</label><textarea class="bookmark-description" name="description"></textarea></p><p><button class="rq-collecton-btn rq-btn-primary">Save</button></p><p class="bookmark-error-report"></p></div>',
        type: 'inline'
      },
      preloader: true,
      callbacks: {
        open: function() {
          jQuery('.white-popup button').on('click', function(){
            var description = jQuery('.bookmark-description').val();
            if( description.length == '' ) {
              jQuery('.bookmark-error-report').html('Description fields must be required!');
            } else {
              jQuery('.white-popup').append('<div class="wpsl-loader-wrapper"><div class="wpsl-spinner"><div class="rect1"></div><div class="rect2"></div><div class="rect3"></div><div class="rect5"></div></div></div>');
              jQuery.ajax({
                type: "post",
                url: BOOKMARKS.ajaxurl,
                data: 'action=add_to_bookmarks&nonce=' + BOOKMARKS.nonce + '&add_to_bookmarks&post_id=' + post_id + '&add_to_bookmarks&description=' + description + '&add_to_bookmarks&postType=' + postType,
                success: function() {
                  jQuery.magnificPopup.close();
                  swal({
                    type: 'success',
                    customClass: 'redq-swal',
                    title: 'Successfully Added To Bookmark!',
                  });
                  jQuery('.wpsl-loader-wrapper').hide();
                  heart.html('<i class="redq-wwc-icon-not-bookmarks '+BOOKMARK_ICON.icon+'"></i>');
                  heart.data('bookmarked', true);
                }
              });
            }
          });
        },
      }
    });
  }
});

// jQuery('body .redq-wwc-add-bookmarks').live('click', function( event ) {
//   event.preventDefault();
//   var self = this;
//   var heart = jQuery(this);
//   if (!BOOKMARKS.isLogin) {
//     swal({
//       title: BOOKMARKS.LANG.OOPS,
//       text: BOOKMARKS.LANG.PLEASE_LOG_IN_BOOKMARKS,
//       type: 'info',
//       showCancelButton: true,
//       confirmButtonColor: '#7e57c2',
//       cancelButtonColor: '#000',
//       confirmButtonText: BOOKMARKS.LANG.MYACCOUNT,
//     }, function(isConfirm) {
//       if (isConfirm) {
//         location.href = BOOKMARKS.myAccount;
//       }
//     });

//     return false;
//   }
// var bookmarked = jQuery(self).data('bookmarked');
//   if(bookmarked == 'true'){
//     var post_id = jQuery(self).data('post_id');
//     var postType = jQuery(self).data('posttype');
//     heart.html('<i class="fa fa-circle-o-notch fa-spin"></i>');
//     jQuery.ajax({
//       type: "post",
//       url: BOOKMARKS.ajaxurl,
//       data: 'action=add_to_bookmarks&nonce=' + BOOKMARKS.nonce + '&add_to_bookmarks&post_id=' + post_id + '&add_to_bookmarks&postType=' + postType,
//       success: function(  ) {
//         swal({
//           type: 'success',
//           title: 'Bookmark Removed Successfull!',
//         });
//         heart.html('<i class="redq-wwc-icon-not-bookmarks '+BOOKMARK_ICON.iconAlt+'"></i>');
//         heart.data('bookmarked', false);
//       }
//     });
//   } else{
//     swal({
//       title: 'Enter a Description',
//       input: 'text',
//       showCancelButton: true,
//       confirmButtonText: 'Submit',
//       showLoaderOnConfirm: true,
//       preConfirm: function (description) {
//         return new Promise(function (resolve, reject) {
//           var post_id = jQuery(self).data('post_id');
//           var postType = jQuery(self).data('posttype');
//           jQuery.ajax({
//             type: "post",
//             url: BOOKMARKS.ajaxurl,
//             data: 'action=add_to_bookmarks&nonce=' + BOOKMARKS.nonce + '&add_to_bookmarks&post_id=' + post_id + '&add_to_bookmarks&description=' + description + '&add_to_bookmarks&postType=' + postType,
//             success: function(  ) {
//               resolve()
//             }
//           });
//         })
//       },
//       allowOutsideClick: false
//     }, function(isConfirm) {
//       if( isConfirm ) {
//         swal({
//           type: 'success',
//           title: 'Bookmark Added Successfull!',
//         });
//         heart.html('<i class="redq-wwc-icon-bookmarks '+BOOKMARK_ICON.icon+'"></i>');
//         heart.data('bookmarked', true);
//       }
//     });
//     }
//   });
