/**
 * User wishlists
 *
 * @since 1.0.0
 * @return null
 */

function wwcqTip() {
  jQuery('.redq-wwc-add-wishlist, .redq-wwc-add-collection').qtip({
    // Grab some elements to apply the tooltip to
    style: {
      classes: 'qtip-tipsy',
    },
    content: {
      text: jQuery(this).attr('title'),
    },
    position: {
      my: 'top center',
      at: 'bottom center',
    },
  });
}

wwcqTip();

jQuery('body').on('click', '.redq-wwc-add-wishlist', function (event) {
  event.preventDefault();

  if (!WISHLIST.isLogin) {
    swal({
      title: WISHLIST.LANG.OOPS,
      text: WISHLIST.LANG.PLEASE_LOG_IN_WISHLIST,
      type: 'info',
      showCancelButton: true,
      confirmButtonColor: '#7e57c2',
      cancelButtonColor: '#000',
      confirmButtonText: WISHLIST.LANG.MYACCOUNT,
    }).then((isConfirm) => {
      if (isConfirm) {
        location.href = WISHLIST.myAccount;
      }
    });
    return false;
  }

  const heart = jQuery(this);
  const product_id = heart.data('product_id');
  const post_type = heart.data('post_type');
  heart.html('<i class="fa fa-circle-o-notch fa-spin"></i>');
  const wwcbText = heart.data('text');
  const wwcbPreview = heart.data('preview');
  const icon = heart.data('icon');
  const iconAlt = heart.data('icon_alt');

  let wwcbButtonContext = '';
  let wwcbAltButtonContext = '';
  jQuery.ajax({
    type: 'post',
    url: WISHLIST.ajaxurl,
    data:
      `action=add_to_wishlist&nonce=${
      WISHLIST.nonce
      }&add_to_wishlist=&product_id=${
      product_id
      }&post_type=${
      post_type}`,
    success(count) {
      if (count == 'removed') {
        heart.qtip('option', 'content.text', WISHLIST.LANG.ADD_TO_WISHLIST);
        heart.removeClass('wished');
        const wwcbIconAlt = `<i class="redq-wwc-icon-not-wishlist ${iconAlt}"></i>`;
        switch (wwcbPreview) {
          case 'text':
            wwcbAltButtonContext = wwcbText;
            break;
          case 'icon':
            wwcbAltButtonContext = wwcbIconAlt;
            break;
          case 'text_icon':
            wwcbAltButtonContext = `${wwcbText} ${wwcbIconAlt}`;
            break;
          case 'icon_text':
            wwcbAltButtonContext = `${wwcbIconAlt} ${wwcbText}`;
            break;
        }
        heart.html(wwcbIconAlt);
      } else {
        heart.qtip('option', 'content.text', WISHLIST.LANG.REMOVE_FROM_WISHLIST);
        heart.addClass('wished');
        const wwcbIcon = `<i class="redq-wwc-icon-wishlist ${icon}"></i>`;
        switch (wwcbPreview) {
          case 'text':
            wwcbButtonContext = wwcbText;
            break;
          case 'icon':
            wwcbButtonContext = wwcbIcon;
            break;
          case 'text_icon':
            wwcbButtonContext = `${wwcbText} ${wwcbIcon}`;
            break;
          case 'icon_text':
            wwcbButtonContext = `${wwcbIcon} ${wwcbText}`;
            break;
        }
        heart.html(wwcbButtonContext);
      }
    },
  });
});

// var dropDownBtns = jQuery(".up-dropdown-toggle-btn");

// dropDownBtns.on('click', function(e){
//   e.preventDefault();

//   if (jQuery(this).children('.up-redq-option-dropdown').hasClass('open-settings')) {
//     jQuery(this).children('.up-redq-option-dropdown').removeClass('open-settings').hide();
//   } else {
//     dropDownBtns.children('.up-redq-option-dropdown').removeClass('open-settings').hide();
//     jQuery(this).children('.up-redq-option-dropdown').addClass('open-settings').show();
//   }
// });

// jQuery(document).on('click', function(e){
//   if (!dropDownBtns.is(e.target) && dropDownBtns.has(e.target).length === 0)
//   {
//       dropDownBtns.children('ul').removeClass('open-settings').hide();
//   }
// });
