/* disbale-eslint */

'use strict';

function wwcqbuddyTip() {
  jQuery('.redq-wwcb-favbuddy').qtip({
    style: {
      classes: 'qtip-tipsy',
    },
    content: {
      text: jQuery(this).attr('title'),
    },
    position: {
      my: 'top center',
      at: 'bottom center',
    },
  });
}
wwcqbuddyTip();

jQuery('body').on('click', '.redq-wwcb-favbuddy', (event) => {
  event.preventDefault();
  // swal form to login check
  if (!FAVBUDDY.isLogin) {
    swal({
      title: FAVBUDDY.LANG.OOPS,
      text: FAVBUDDY.LANG.PLEASE_LOG_IN_FAVBUDDY,
      type: 'warning',
      showCancelButton: true,
      confirmButtonColor: '#07DF69',
      cancelButtonColor: '#FF375B',
      confirmButtonText: FAVBUDDY.LANG.LOGIN,
    }).then((isConfirm) => {
      if (isConfirm) {
        location.href = FAVBUDDY.myAccount;
      }
    });
    return false;
  }
  const favbuddydata = jQuery('.redq-wwcb-favbuddy');
  const fav_buddy_id = favbuddydata.data('fav_user_id');
  favbuddydata.html('<i class="fa fa-circle-o-notch fa-spin"></i>');
  const wwcbText = favbuddydata.data('text');
  const wwcbPreview = favbuddydata.data('preview');
  const icon = favbuddydata.data('icon');
  const iconAlt = favbuddydata.data('icon_alt');

  let wwcbButtonContext = '';
  let wwcbAltButtonContext = '';
  jQuery.ajax({
    type: 'post',
    url: FAVBUDDY.ajaxurl,
    data: `action=add_to_favbuddy&nonce=${FAVBUDDY.nonce}&fav_user_id=${fav_buddy_id}`,
    success(count) {
      if (count == 'removed') {
        favbuddydata.qtip('option', 'content.text', FAVBUDDY.LANG.ADD_TO_WISHLIST);
        favbuddydata.removeClass('wished');
        const wwcbIconAlt = `<i class="redq-wwc-icon-not-wishlist ${iconAlt}"></i>`;
        switch (wwcbPreview) {
          case 'text':
            wwcbAltButtonContext = wwcbText;
            break;
          case 'icon':
            wwcbAltButtonContext = wwcbIconAlt;
            break;
          case 'text_icon':
            wwcbAltButtonContext = `${wwcbText} ${wwcbIconAlt}`;
            break;
          case 'icon_text':
            wwcbAltButtonContext = `${wwcbIconAlt} ${wwcbText}`;
            break;
        }
        favbuddydata.html(wwcbIconAlt);
      } else {
        favbuddydata.qtip('option', 'content.text', FAVBUDDY.LANG.REMOVE_FROM_WISHLIST);
        favbuddydata.addClass('wished');
        const wwcbIcon = `<i class="redq-wwc-icon-wishlist ${icon}"></i>`;
        switch (wwcbPreview) {
          case 'text':
            wwcbButtonContext = wwcbText;
            break;
          case 'icon':
            wwcbButtonContext = wwcbIcon;
            break;
          case 'text_icon':
            wwcbButtonContext = `${wwcbText} ${wwcbIcon}`;
            break;
          case 'icon_text':
            wwcbButtonContext = `${wwcbIcon} ${wwcbText}`;
            break;
        }
        favbuddydata.html(wwcbButtonContext);
      }
    },
  });
});
