<?php

// if this fails, check_admin_referer() will automatically print a "failed" page and die.
if ( ! empty( $_POST ) && check_admin_referer( 'nonce_wwc_admin_settings', 'wwc_admin_settings' ) ) {
  $posted = $_POST;
  
  unset($posted['submit']);
  unset($posted['wwc_admin_settings']);
  unset($posted['_wp_http_referer']);
  update_option('wwc_admin_settings', $posted);
}

$wwc_admin_settings = get_option('wwc_admin_settings', true);

if( !isset( $wwc_admin_settings['login_page_url'] ) ) {
  $wwc_admin_settings['login_page_url'] = '';
}

// if( !isset( $wwc_admin_settings['wishlist_button_text'] ) ) {
//   $wwc_admin_settings['wishlist_button_text'] = __('Favourite', 'wwcb');
// }
// if( !isset( $wwc_admin_settings['wishlist_button_preview'] ) ) {
//   $wwc_admin_settings['wishlist_button_preview'] = 'text';
// }
// if( !isset( $wwc_admin_settings['wishlist_button_icon'] ) ) {
//   $wwc_admin_settings['wishlist_button_icon'] = 'ion-android-favorite';
// }
// if( !isset( $wwc_admin_settings['wishlist_button_icon_alt'] ) ) {
//   $wwc_admin_settings['wishlist_button_icon_alt'] = 'ion-android-favorite-outline';
// }

if( empty($wwc_admin_settings['wwcb_buddy_btn_text']) && !isset( $wwc_admin_settings['wwcb_buddy_btn_text'] ) ) {
  $wwc_admin_settings['wwcb_buddy_btn_text'] = esc_html__('Follow', 'wwcb');
}

if( empty($wwc_admin_settings['wwcb_btn_icon']) && !isset( $wwc_admin_settings['wwcb_btn_icon'] ) ) {
  $wwc_admin_settings['wwcb_btn_icon'] = 'ion-android-favorite';
}

if( empty($wwc_admin_settings['wwcb_btn_icon_alt']) && !isset( $wwc_admin_settings['wwcb_btn_icon_alt'] ) ) {
  $wwc_admin_settings['wwcb_btn_icon_alt'] = 'ion-android-favorite-outline';
}

$args = array(
  'sort_order' => 'asc',
  'sort_column' => 'post_title',
  'hierarchical' => 1,
  'exclude' => '',
  'include' => '',
  'meta_key' => '',
  'meta_value' => '',
  'authors' => '',
  'child_of' => 0,
  'parent' => -1,
  'exclude_tree' => '',
  'number' => '',
  'offset' => 0,
  'post_type' => 'page',
  'post_status' => 'publish'
); 
$pages = get_pages($args); 

?>
<style type="text/css">
  #reactive-settings {
  background: #fff;
  padding: 50px;
  border-top: 3px solid #7e57c2;
}

.reactive-settings-h1{
  font-weight: bold;
  font-size: 28px;
}

</style>
<div id="wwc-admin-settings" class="wrap">
  <h1 class="reactive-settings-h1"><?php esc_html_e('WooCommerce Wishlist & Collection Settings', 'wwcb') ?></h1>
  <form method="post">
    <table class="form-table reactive-admin-settings-from">
      <tbody>
        <tr>
          <th scope="row"><?php esc_html_e('Enable Wishlist', 'wwcb') ?></th>
          <td>
            <select name="enable_wishlist" class="widefat">
                <option value="yes" <?php echo ( $wwc_admin_settings['enable_wishlist'] === 'yes' ) ? 'selected' : '' ?>><?php esc_html_e('Yes', 'wwcb') ?></option>
                <option value="no" <?php echo ( $wwc_admin_settings['enable_wishlist'] === 'no' ) ? 'selected' : '' ?>><?php esc_html_e('No', 'wwcb') ?></option>
            </select>
          </td>
        </tr>
        <tr>
          <th scope="row"><?php esc_html_e('Enable Collection', 'wwcb') ?></th>
          <td>
            <select name="enable_collection" class="widefat">
                <option value="yes" <?php echo ( $wwc_admin_settings['enable_collection'] === 'yes' ) ? 'selected' : '' ?>><?php esc_html_e('Yes', 'wwcb') ?></option>
                <option value="no" <?php echo ( $wwc_admin_settings['enable_collection'] === 'no' ) ? 'selected' : '' ?>><?php esc_html_e('No', 'wwcb') ?></option>
            </select>
          </td>
        </tr>
        <?php if( class_exists('BuddyPress') ){ ?>
          <tr>
            <th scope="row"><?php esc_html_e('Enable Wishlist On BuddyPress', 'wwcb') ?></th>
            <td>
              <select name="enable_wishlist_on_bp" class="widefat">
                  <option value="yes" <?php echo ( $wwc_admin_settings['enable_wishlist_on_bp'] === 'yes' ) ? 'selected' : '' ?>><?php esc_html_e('Yes', 'wwcb') ?></option>
                  <option value="no" <?php echo ( $wwc_admin_settings['enable_wishlist_on_bp'] === 'no' ) ? 'selected' : '' ?>><?php esc_html_e('No', 'wwcb') ?></option>
              </select>
            </td>
          </tr>
          <!-- Buddpress View Start -->
          <tr>
            <th scope="row"><?php esc_html_e('BuddyPress Button Text', 'wwcb') ?></th>
            <td>
              <input type="text" name="wwcb_buddy_btn_text" value="<?php echo $wwc_admin_settings['wwcb_buddy_btn_text'] ?>" class="widefat">
            </td>
          </tr>

          <tr>
            <th scope="row"><?php esc_html_e('BuddyPress Icon', 'wwcb') ?></th>
            <td>
              <input type="text" name="wwcb_btn_icon" value="<?php echo $wwc_admin_settings['wwcb_btn_icon'] ?>" class="widefat">
            </td>
          </tr>

          <tr>
            <th scope="row"><?php esc_html_e('BuddyPress Alter Icon', 'wwcb') ?></th>
            <td>
              <input type="text" name="wwcb_btn_icon_alt" value="<?php echo $wwc_admin_settings['wwcb_btn_icon_alt'] ?>" class="widefat">
            </td>
          </tr>

          <tr>
            <th scope="row"><?php esc_html_e('BuddyPress Button Preview', 'wwcb') ?></th>
            <td>
              <select class="widefat" name="favbuddy_button_preview">
                <option value="text" <?php if(isset($wwc_admin_settings['favbuddy_button_preview'])) echo ($wwc_admin_settings['favbuddy_button_preview'] == 'text' ? 'selected="selected"' : '') ?>><?php echo esc_html__('Text', 'wwcb'); ?></option>
                <option value="icon"  <?php if(isset($wwc_admin_settings['favbuddy_button_preview'])) echo ($wwc_admin_settings['favbuddy_button_preview'] == 'icon' ? 'selected="selected"' : '') ?>><?php echo esc_html__('Icon', 'wwcb'); ?></option>
                <option value="icon_text"  <?php if(isset($wwc_admin_settings['favbuddy_button_preview'])) echo ($wwc_admin_settings['favbuddy_button_preview'] == 'icon_text' ? 'selected="selected"' : '') ?>><?php echo esc_html__('Icon + Text', 'wwcb'); ?></option>
                <option value="text_icon"  <?php if(isset($wwc_admin_settings['favbuddy_button_preview'])) echo ($wwc_admin_settings['favbuddy_button_preview'] == 'text_icon' ? 'selected="selected"' : '') ?>><?php echo esc_html__('Text + Icon', 'wwcb'); ?></option>                
              </select>
            </td>
          </tr>
          <!-- Buddpress View End -->
        <?php } ?>

        <tr>
          <th scope="row"><?php esc_html_e('Login Page URL', 'wwcb') ?></th>
          <td>
            <select name="login_page_url" class="widefat">
              <?php foreach ($pages as $page) : ?>  
                <option value="<?php echo $page->ID ?>" <?php echo ( $page->ID == $wwc_admin_settings['login_page_url'] ) ? 'selected="selected"' : '' ?>><?php echo $page->post_title ?></option>
              <?php endforeach ?>
            </select>
          </td>
        </tr>
        <!-- <tr>
          <th scope="row"><?php //esc_html_e('Wishlist Button Text', 'wwcb') ?></th>
          <td>
            <input type="text" name="wishlist_button_text" value="<?php //echo $wwc_admin_settings['wishlist_button_text'] ?>" class="widefat">
          </td>
        </tr>
        <tr>
          <th scope="row"><?php //esc_html_e('Wishlist Button Preview', 'wwcb') ?></th>
          <td>
            <select name="wishlist_button_preview" class="widefat">
              <option value="text" <?php //echo ( $page->ID == $wwc_admin_settings['wishlist_button_preview'] ) ? 'selected="selected"' : '' ?>><?php //_e('text', 'wwcb') ?></option>
              <option value="icon" <?php //echo ( $page->ID == $wwc_admin_settings['wishlist_button_preview'] ) ? 'selected="selected"' : '' ?>><?php //_e('icon', 'wwcb') ?></option>
              <option value="text_icon" <?php //echo ( $page->ID == $wwc_admin_settings['wishlist_button_preview'] ) ? 'selected="selected"' : '' ?>><?php //_e('text_icon', 'wwcb') ?></option>
              <option value="icon_text" <?php //echo ( $page->ID == $wwc_admin_settings['wishlist_button_preview'] ) ? 'selected="selected"' : '' ?>><?php //_e('icon_text', 'wwcb') ?></option>
            </select>
          </td>
        </tr>
        <tr>
          <th scope="row"><?php //esc_html_e('Wishlist Button Icon', 'wwcb') ?></th>
          <td>
            <input type="text" name="wishlist_button_icon" value="<?php //echo $wwc_admin_settings['wishlist_button_icon'] ?>" class="widefat">
          </td>
        </tr>
        <tr>
          <th scope="row"><?php //esc_html_e('Wishlist Button Icon Alt', 'wwcb') ?></th>
          <td>
            <input type="text" name="wishlist_button_icon_alt" value="<?php //echo $wwc_admin_settings['wishlist_button_icon_alt'] ?>" class="widefat">
          </td>
        </tr> -->
      </tbody>
    </table>

    <?php wp_nonce_field( 'nonce_wwc_admin_settings', 'wwc_admin_settings' ); ?>
    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="<?php esc_html_e('Save Changes', 'wwcb') ?>"></p>
  </form>
</div>
