<?php

/**
 * Class Redq_WWC_Shorcode
 *
 * @author      redqteam
 * @category    Admin
 * @package     Wishlist\Includes
 * @version     1.0.0
 * @since       1.0.0
 */
class Redq_WWC_Shorcode extends Redq_WWC_Template_Handle {
  /**
   *  @hook add_shortcode
   */
  public function __construct() {
    parent::__construct();

    $shortcodes = array(
      'wwc_my_wishlists'           => 'wwc_my_wishlists_func',
      'my_bookmarks'               => 'my_bookmarks_func',
      'wwc_preview_collectons'     => 'wwc_preview_collectons_func',
      // 'wwc_collection_button'   => 'collection_button_func',
    );

    /**
     * Add Shortcode and callback function
     */
    foreach ( $shortcodes as $shortcode => $function ) {
      add_shortcode( $shortcode , array( $this , $function ) );
    }

  }

  /**
   * All Collections Preview Shortcode
   */
  public function wwc_preview_collectons_func( $atts ) {
    ob_start();

    // Params extraction
    extract(
      shortcode_atts(
        array(
          'posts_per_page'   => get_option( 'posts_per_page' ),
          'preview'          => 'default', // default, cpt
          'post_type'        => '', // custom post type name
        ),
        $atts
      )
    );

    $template = $this->locate_template( ( 'shortcodes/preview-collections.php' ) );

    include_once($template);

    return ob_get_clean();
  }

  /**
   * Wishlist Button Shortcode
   */
  public function wwc_my_wishlists_func( $atts ) {

    ob_start();

    // Params extraction
    extract(
      shortcode_atts(
        array(
          'posts_per_page'   => get_option( 'posts_per_page' ),
        ),
        $atts
      )
    );

    $template = $this->locate_template( ( 'shortcodes/my-wishlists.php' ) );

    include_once($template);

    return ob_get_clean();

  }
  /**
   * Wishlist Button Shortcode
   */
  public function my_bookmarks_func( $atts ) {

    ob_start();

    // Params extraction
    extract(
      shortcode_atts(
        array(
          'posts_per_page'   => get_option( 'posts_per_page' ),
        ),
        $atts
      )
    );

    $template = $this->locate_template( ( 'shortcodes/my-bookmarks.php' ) );

    include_once($template);

    return ob_get_clean();

  }

  /**
   * Collection Button Shortcode
   */
  public function collection_button_func($atts, $content = null) {

    $output = "<div id='redq-wishlist'><a href='#' title='Add to collections'><i class='ion-ios-albums-outline'></i></a></div>";

    return $output;
  }

}

new Redq_WWC_Shorcode(WWCB()->template_path());
