<?php
/**
* 
*/
class Redq_WWC_Template_Loader {
    
    function __construct() {
        add_filter( 'template_include', array($this, 'template_loader' ) );
    }

    /**
     * Load a template.
     *
     * Handles template usage so that we can use our own templates instead of the themes.
     *
     * Templates are in the 'templates' folder. woocommerce-wishlists-collections looks for theme
     * overrides in /theme/woocommerce-wishlists-collections/ by default
     *
     * For beginners, it also looks for a woocommerce-wishlists-collections.php template first. If the user adds
     * this to the theme (containing a woocommerce-wishlists-collections() inside) this will be used for all
     * woocommerce-wishlists-collections templates.
     *
     * @param mixed $template
     * @return string
     */
    public function template_loader( $template ) {
        $find = array( 'wordpress-wishlist-collection-bookmark.php' );
        $file = '';

        if ( is_single() && get_post_type() == 'wwc_collection' ) {

            $file   = 'single-wwc_collection.php';
            $find[] = $file;
            $find[] = WWCB()->template_path() . $file;

        } elseif ( is_post_type_archive( 'wwc_collection' ) ) {

            $file   = 'archive-wwc_collection.php';
            $find[] = $file;
            $find[] = WWCB()->template_path() . $file;

        }

        if ( $file ) {
            $template       = locate_template( array_unique( $find ) );
            if ( ! $template ) {
                $template = WWCB_TEMPLATE_PATH . $file;
            }
        }

        return $template;
    }

}

new Redq_WWC_Template_Loader();
