<?php
/**
 *
 */
class WWCB_Reuse_Form {

  public static function load($localPath) {
    $reuseform_scripts = json_decode(file_get_contents( WWCB_DIR . "/resource/reuse.json"),true);
    if (isset($reuseform_scripts['vendor'])) {
      wp_register_script( 'reuse_vendor', $localPath. $reuseform_scripts['vendor']['js'], array(), $ver = false, true);
      wp_enqueue_script( 'reuse_vendor' );
    }
    if (isset($reuseform_scripts['reuse'])) {
      wp_register_script( 'reuse-builder-js', $localPath. $reuseform_scripts['reuse']['js'], array('jquery', 'underscore'), $ver = false, true);
      wp_enqueue_script( 'reuse-builder-js' );
    }
    
    wp_localize_script( 'reuse-builder-js', 'REUSE_ADMIN', array(
      'LANG'                  => WWCB_Reuse_Form::language(),
      'ERROR_MESSAGE'         => WWCB_Reuse_Form::error_messages(),
      '_WEBPACK_PUBLIC_PATH_' => $localPath,
      'base_url'              => apply_filters( 'reuse_image_base_url',  WWCB_DIR ),
    ));
  }

  public static function language() {
    /**
     * Localize language files for reuse form rendering
     */
    $lang = array(
      'BUNDLE_COMPONENT'        => __('Bundle Component', 'wwcb'),
      'PICK_COLOR'              => __('Pick Color','wwcb'),
      'NO_RESULT_FOUND'         => __('No result found', 'wwcb'),
      'SEARCH'                  => __('search','wwcb'),
      'OPEN_ON_SELECTED_HOURS'  => __('Open on selected hours', 'wwcb'),
      'ALWAYS_OPEN'             => __('Always open', 'wwcb'),
      'NO_HOURS_AVAILABLE'      => __('No hours available', 'wwcb'),
      'PERMANENTLY_CLOSE'       => __('Permanently closed', 'wwcb'),
      'MONDAY'                  => __('Monday', 'wwcb'),
      'TUESDAY'                 => __('Tuesday', 'wwcb'),
      'WEDNESDAY'               => __('Wednesday', 'wwcb'),
      'THURSDAY'                => __('Thursday', 'wwcb'),
      'FRIDAY'                  => __('Friday', 'wwcb'),
      'SATURDAY'                => __('Saturday', 'wwcb'),
      'SUNDAY'                  => __('Sunday', 'wwcb'),
      'WRONG_PASS'              => __('Wrong Password', 'wwcb'),
      'PASS_MATCH'              => __('Password Matched', 'wwcb'),
      'CONFIRM_PASS'            => __('Confirm Password', 'wwcb'),
      'CURRENTLY_WORK'          => __('I currently work here', 'wwcb'),
    );

    return $lang;
  }

  public static function error_messages() {
    /**
     * Localize Error Message files for js rendering
     */
    $error_message_list = array(
      'notNull'   => __('The field should not be empty', 'wwcb'),
      'email'     => __('The field should be email', 'wwcb' ),
      'isNumeric' => __('The field should be numeric', 'wwcb' ),
      'isURL'     => __('The field should be Url', 'wwcb' ),
    );
    return $error_message_list;
  }

}