<?php

global $wp_query, $post;

$post_id = $post->ID;

$posts_per_page = get_option('posts_per_page');
$meta_products  = get_post_meta($post->ID, '_collection_products', true);
$post_type      = get_post_meta($post->ID, 'post_type', true);
$paged          = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
$products_in    = array();

if( empty( $meta_products ) ) {
  return array();
}
foreach ($meta_products as $product) {
  $products_in[] = $product['pid'];
}

$args = array(
  'post_type'       => $post_type,
  'post__in'        => $products_in,
  'posts_per_page'  => apply_filters( 'redq_wwc_query_posts_per_page', $posts_per_page ),
  'paged'           => $paged,
);
// the query
$the_query = new WP_Query( $args );

// Pagination fix
$temp_query = $wp_query;
$wp_query   = NULL;
$wp_query   = $the_query;


?>
<div class="wwc-single-desc wwc-pull-left">
  <?php the_content() ?>
  <p></p>
</div>
<?php $user_id = get_current_user_id(); ?>
<?php if( get_the_author_meta('ID') === $user_id ) : ?>

    <div class="wwc-single-settings wwc-pull-left wcc-right-align">
      <div class="up-redq-settings up-dropdown-toggle-btn">
        <!-- <button type="button" class="up-redq-settings-icon rq-collecton-btn.rq-btn-primary"> -->
        <button type="button" class="rq-collecton-btn rq-btn-primary">
          <!-- <i class="ion-ios-gear-outline"></i> -->
          <?php esc_html_e('Settings', 'wwcb') ?>
        </button>
        <ul class="up-redq-option-dropdown">
          <?php if(get_post_status(get_the_ID()) == 'shared') : ?>
            <li display=>
              <a href="#"
              id="wwc-edit-<?php echo esc_attr( get_the_id() ) ?>" class="wwc-shared-collection">
                <i class="mic-icon-fileadd"></i>
                <?php esc_html_e('Share ...', 'wwcb') ?>
              </a>
            </li>
          <?php endif; ?>
            <li>
              <a href="#"
              id="wwc-edit-<?php echo esc_attr( get_the_id() ) ?>" class="wwc-single-edit-collection">
                <i class="mic-icon-fileadd"></i>
                <?php esc_html_e('Update', 'wwcb') ?>
              </a>
            </li>
        </ul>
      </div>
    </div>

<?php endif; ?>
<div class="wwc-collection-post-container">
  <?php if ( $the_query->have_posts() ) : ?>
    <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
      <div class="wwc-collection-post-wrapper">
        <div class="wwc-colletion-post-image">
          <?php the_post_thumbnail(); ?>
        </div>
        <div class="wwc-collection-post-detials">
          <h3><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
          <?php echo do_shortcode('[wwc_collection_button]') ?>
        </div>
      </div>
    <?php endwhile; // end of the loop. ?>
    <div class="wwc-collection-post-pagination">
      <?php
      // Previous/next page navigation.
      the_posts_pagination( array(
          'prev_text'          => '<i class="fa fa-angle-left"></i>',
          'next_text'          => '<i class="fa fa-angle-right"></i>',
          'before_page_number' => '',
      ) ); ?>
    </div>
  <?php endif; //$the_query->have_posts() ?>
</div>

<div class="clearfix"></div>
<ul class="wwc-social-share clearfix">
  <li class="facebook">
    <a href="https://www.facebook.com/sharer.php?m2w&amp;s=100&amp;p[url]=<?php echo get_the_permalink($post_id) ?>&amp;p[title]=<?php echo get_the_title($post_id) ?>" target="_blank">
        <i class="wwc-icon ion-social-facebook"></i>
        <div class="wwc-woo-social-share-text"><span><?php esc_html_e('Share On Facebook', 'wwcb') ?></span></div>
    </a>
  </li>
  <li class="twitter">
    <a href="https://twitter.com/share?text=<?php echo get_the_title($post_id) ?> <?php // the_permalink() ?>" target="_blank">
        <i class="wwc-icon ion-social-twitter"></i>
        <div class="wwc-woo-social-share-text"><span><?php esc_html_e('Tweet This Product', 'wwcb') ?></span></div>
    </a>
  </li>
  <li class="pinterest">
    <a href="https://pinterest.com/pin/create/button/?url=<?php echo get_the_permalink($post_id) ?>&amp;description=<?php echo get_the_title($post_id) ?>" target="_blank">
        <i class="wwc-icon ion-social-pinterest"></i>
        <div class="wwc-woo-social-share-text"><span><?php esc_html_e('Pin This Product', 'wwcb') ?></span></div>
    </a>
  </li>
  <li class="email">
    <a href="mailto:?subject=<?php echo get_the_title($post_id) ?>&amp;body=<?php echo get_the_permalink($post_id) ?>" target="_blank">
        <i class="wwc-icon ion-ios-email"></i>
        <div class="wwc-woo-social-share-text"><span><?php esc_html_e('Mail This Product', 'wwcb') ?></span></div>
    </a>
  </li>
</ul>
