<?php
global $woocommerce_loop, $wp_query;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
  $woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
  $woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

$posts_per_page = get_option('posts_per_page');

// the query
$the_query = new WP_Query( apply_filters( 'redq_wwc_collcetion_single_main_query_args', array(), $posts_per_page ) );
 
// Pagination fix
$temp_query = $wp_query;
$wp_query   = NULL;
$wp_query   = $the_query;

?>
<?php
  /**
   * woocommerce_before_main_content hook.
   *
   * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
   * @hooked woocommerce_breadcrumb - 20
   */
  do_action( 'woocommerce_before_main_content' );
?>

<div class="wwc-single-desc wwc-pull-left">
  <?php the_content() ?>
  <p></p>
</div>
<?php $user_id = get_current_user_id(); ?>
<?php if( get_the_author_meta('ID') === $user_id ) : ?>

<div class="wwc-single-settings wwc-pull-left wcc-right-align">
  <div class="up-redq-settings up-dropdown-toggle-btn">
    <!-- <button type="button" class="up-redq-settings-icon rq-collecton-btn.rq-btn-primary"> -->
    <button type="button" class="rq-collecton-btn rq-btn-primary">
      <!-- <i class="ion-ios-gear-outline"></i> -->
      <?php esc_html_e('Settings', 'woocommerce-wishlist-collection') ?>
    </button>
    <ul class="up-redq-option-dropdown">
      <?php if(get_post_status(get_the_ID()) == 'shared') : ?>
        <li display=>
          <a href="#"
          id="wwc-edit-<?php echo esc_attr( get_the_id() ) ?>" class="wwc-shared-collection">
            <i class="mic-icon-fileadd"></i>
            <?php esc_html_e('Share ...', 'woocommerce-wishlist-collection') ?>
          </a>
        </li>
      <?php endif; ?>
        <li>
          <a href="#"
          id="wwc-edit-<?php echo esc_attr( get_the_id() ) ?>" class="wwc-single-edit-collection">
            <i class="mic-icon-fileadd"></i>
            <?php esc_html_e('Update', 'woocommerce-wishlist-collection') ?>
          </a>
        </li>
    </ul>
  </div>
</div>

<?php endif; ?>

<?php
  /**
   * woocommerce_archive_description hook.
   *
   * @hooked woocommerce_taxonomy_archive_description - 10
   * @hooked woocommerce_product_archive_description - 10
   */
  do_action( 'woocommerce_archive_description' );
?>

<?php if ( $the_query->have_posts() ) : ?>

  <?php
    /**
     * woocommerce_before_shop_loop hook.
     *
     * @hooked woocommerce_result_count - 20
     * @hooked woocommerce_catalog_ordering - 30
     */
    do_action( 'woocommerce_before_shop_loop' );
  ?>

  <?php woocommerce_product_loop_start(); ?>

    <?php woocommerce_product_subcategories(); ?>

    <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>

      <?php wc_get_template_part( 'content', 'product' ); ?>

    <?php endwhile; // end of the loop. ?>
    <?php wp_reset_postdata(); ?>
  <?php woocommerce_product_loop_end(); ?>
  
  <?php
    /**
     * woocommerce_after_shop_loop hook.
     *
     * @hooked woocommerce_pagination - 10
     */
    do_action( 'woocommerce_after_shop_loop' );
  ?>
  
<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

  <?php wc_get_template( 'loop/no-products-found.php' ); ?>

<?php endif; ?>

<div class="clearfix"></div>
<ul class="wwc-social-share clearfix">
  <li class="facebook">
    <a href="https://www.facebook.com/sharer.php?m2w&amp;s=100&amp;p[url]=<?php the_permalink() ?>&amp;p[title]=<?php the_title() ?>" target="_blank">
        <i class="wwc-icon ion-social-facebook"></i>
        <div class="wwc-woo-social-share-text"><span>Share On Facebook</span></div>
    </a>
  </li>
  <li class="twitter">
    <a href="https://twitter.com/share?text=<?php the_title() ?> <?php // the_permalink() ?>" target="_blank">
        <i class="wwc-icon ion-social-twitter"></i>
        <div class="wwc-woo-social-share-text"><span>Tweet This Product</span></div>
    </a>
  </li>
  <li class="pinterest">
    <a href="https://pinterest.com/pin/create/button/?url=<?php the_permalink() ?>&amp;description=<?php the_title() ?>" target="_blank">
        <i class="wwc-icon ion-social-pinterest"></i>
        <div class="wwc-woo-social-share-text"><span>Pin This Product</span></div>
    </a>
  </li>
  <li class="email">
    <a href="mailto:?subject=<?php the_title() ?>&amp;body=<?php the_permalink() ?>" target="_blank">
        <i class="wwc-icon ion-ios-email"></i>
        <div class="wwc-woo-social-share-text"><span>Mail This Product</span></div>
    </a>
  </li>
</ul>

<?php
/**
 * woocommerce_after_main_content hook.
 *
 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
 */
do_action( 'woocommerce_after_main_content' );
?>

<?php
/**
 * woocommerce_sidebar hook.
 *
 * @hooked woocommerce_get_sidebar - 10
 */
do_action( 'woocommerce_sidebar' );
?>
<?php wp_reset_query() ?>