<?php
global $wp_query;

$posts_per_page = get_option('posts_per_page');

$paged = ( $page ) ? explode( "/", $page ) : 1;

// $user_id = get_current_user_id();

$args = array(
  'post_type'       => 'wwc_collection',
  'posts_per_page'  => $posts_per_page,
  'paged'           => ( $page ) ? $paged[1] : $paged,
  // 'author'          => $user_id,
  'post_status'     => array('shared'),
  'meta_query' => array(
    'relattion' => 'AND',
    array(
      'key'     => '_collection_shared',
      'value'   => '%'.get_current_user_id().'%',
      'compare' => 'LIKE',
    ),
    array(
      'key'     => 'post_type',
      'value'   => 'product',
      'compare' => 'LIKE',
    ),
  ),
);

// the query
$the_query = new WP_Query( $args );

// Pagination fix
$temp_query = $wp_query;
$wp_query   = NULL;
$wp_query   = $the_query;

?>

<?php do_action('redq_wwc_my_account_collection_nav_menu', 'wwc-shared-with-me') ?>

<div id="primary" class="content-area wwc-collection-wrapper wwc-column-two">
  <div class="clearfix">
    <?php if ( $the_query->have_posts() ) : ?>

      <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
        <?php redq_wwc_get_template_part( 'content', 'collection' ); ?>
      <?php endwhile; // end of the loop. ?>
      <?php wp_reset_postdata(); ?>
    <?php else : ?>
      <p class="woocommerce-info"><?php _e( 'No collections were found matching your selection.', 'woocommerce-wishlist-collection' ); ?></p>
    <?php endif ?>
  </div>
  <?php woocommerce_pagination() ?>
  <?php wp_reset_query() ?>
</div>
