<?php
if( !is_user_logged_in() ) { ?>
  <p class="woocommerce-info"><?php _e( 'Please login first to view your wishlists', 'woocommerce-wishlist-collection' ); ?></p>

  <?php
  do_action('wwc_before_wishlist_shortcode_login_form');

  woocommerce_login_form();
  return;
}

global $woocommerce_loop, $wp_query;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
  $woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
  $woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// the query
$the_query = new WP_Query( apply_filters( 'redq_wwc_my_wishlists_main_query_args', array(), $posts_per_page ) );
 
// Pagination fix
$temp_query = $wp_query;
$wp_query   = NULL;
$wp_query   = $the_query;

?>
<?php
  /**
   * woocommerce_before_main_content hook.
   *
   * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
   * @hooked woocommerce_breadcrumb - 20
   */
  do_action( 'woocommerce_before_main_content' );
?>

<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>

  <h1 class="page-title"><?php woocommerce_page_title(); ?></h1>

<?php endif; ?>

<?php
  /**
   * woocommerce_archive_description hook.
   *
   * @hooked woocommerce_taxonomy_archive_description - 10
   * @hooked woocommerce_product_archive_description - 10
   */
  do_action( 'woocommerce_archive_description' );
?>

<?php if ( $the_query->have_posts() ) : ?>

  <?php
    /**
     * woocommerce_before_shop_loop hook.
     *
     * @hooked woocommerce_result_count - 20
     * @hooked woocommerce_catalog_ordering - 30
     */
    do_action( 'woocommerce_before_shop_loop' );
  ?>

  <?php woocommerce_product_loop_start(); ?>

    <?php woocommerce_product_subcategories(); ?>

    <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>

      <?php wc_get_template_part( 'content', 'product' ); ?>

    <?php endwhile; // end of the loop. ?>
    <?php wp_reset_postdata(); ?>
  <?php woocommerce_product_loop_end(); ?>
  
  <?php
    /**
     * woocommerce_after_shop_loop hook.
     *
     * @hooked woocommerce_pagination - 10
     */
    do_action( 'woocommerce_after_shop_loop' );
  ?>
  
<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

  <?php wc_get_template( 'loop/no-products-found.php' ); ?>

<?php endif; ?>

<?php
/**
 * woocommerce_after_main_content hook.
 *
 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
 */
do_action( 'woocommerce_after_main_content' );
?>

<?php
/**
 * woocommerce_sidebar hook.
 *
 * @hooked woocommerce_get_sidebar - 10
 */
do_action( 'woocommerce_sidebar' );
?>

<?php wp_reset_query() ?>